function DelWord(Sender) {
  var s = Editor.SelText;
  var Sel = Editor.Selection;
  if (s != "") {
    //just unselect
    Sel.SelLength = 0;
    Editor.Selection = Sel;
  } else {
    //get current line only, starting from cursor
    var s1 = copy(Editor.Text, Sel.SelStart + 1, Length(Editor.Text));
    s1 = RegexMatch(s1, "^.*?$", False);
    var f = 0;
    var match = RegexMatch(s1, "^\\w*[^\\S\\r\\n]*", False); //match all words
    if (match == "")                                          
      match = RegexMatch(s1, "^.*?\\b[^\\S\\r\\n]*", False); //match anything to word boundary
    if (match == "")
      match = RegexMatch(s1, "^.*?[^\\S\\r\\n]*", False);    //just match anything
    Sel.SelLength = Length(match);
    Editor.Selection = Sel;
    Editor.SelText = "";
  }
}

Script.RegisterDocumentAction("", "Delete Next Word", "Ctrl+Delete", &DelWord);
